package com.ruoyi.ss.equipment.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 设施对象 ss_equipment
 *
 * @author qzz
 * @date 2024-12-21
 */
@Data
public class Equipment extends BaseEntity{

    private static final long serialVersionUID = 1L;

    private Long equipmentId;

    @Excel(name = "设施名称")
    @ApiModelProperty("设施名称")
    private String name;

    @Excel(name = "图片")
    @ApiModelProperty("图片")
    private String picture;

    @Excel(name = "房间")
    @ApiModelProperty("房间")
    private Long roomId;

    @Excel(name = "店铺id")
    @ApiModelProperty("店铺id")
    private Long storeId;

    @Excel(name = "设备名称")
    @ApiModelProperty("设备名称")
    private String storeName;

    @Excel(name = "关联的设备")
    @ApiModelProperty("关联的设备")
    private List<Long> deviceIds;

    @Excel(name = "设施类型：1-房间门;2-麻将桌；3-台球桌;4-房间灯")
    @ApiModelProperty("设施类型：1-房间门;2-麻将桌；3-台球桌;4-房间灯")
    private String type;



}
