package com.ruoyi.ss.feeRule.service.impl;

import com.ruoyi.common.utils.ServiceUtil;
import com.ruoyi.common.utils.bean.BeanUtils;
import com.ruoyi.ss.feeRule.domain.FeeRule;
import com.ruoyi.ss.feeRule.domain.FeeRuleDTO;
import com.ruoyi.ss.feeRule.service.IFeeRuleConverter;
import com.ruoyi.ss.room.domain.RoomVO;
import com.ruoyi.ss.room.service.IRoomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import static com.ruoyi.common.utils.SecurityUtils.getUsername;

@Service
public class FeeRuleConverterImpl implements IFeeRuleConverter {

    @Autowired
    private IRoomService roomService;

    @Override
    public FeeRule toOrderBO(FeeRuleDTO dto) {
        FeeRule rule = new FeeRule();
        rule.setCreateBy(getUsername());
        BeanUtils.copyProperties(dto, rule);
        RoomVO roomVO = roomService.selectERoomByRoomId(dto.getRoomId());
        ServiceUtil.assertion(roomVO == null, "房间不存在");
        rule.setMerchantId(roomVO.getMerchantId());
        return rule;
    }
}
